CONFIG     += qt warn_on release thread static rtti link_prl

win32:DEFINES  += _MT

win32:RC_FILE  = ./audiomove.rc
mac:RC_FILE    = ./audiomove.icns

LIBS += ../libsamplerate/src/.libs/libsamplerate.a ../libsndfile/src/.libs/libsndfile.a # -lsndfile -lsamplerate

DEFINES    += QT_NO_CAST_ASCII

MOC_DIR     = moc

HEADERS     = ../audiomove/AudioMoveWindow.h

TARGET      = AudioMove

INCLUDEPATH = . .. ../muscle ../libsndfile/src ../libsamplerate/src

OBJECTS_DIR = objects

SOURCES    += ../audiomove/audiomove.cpp          \
              ../audiomove/AudioMoveWindow.cpp    \
              ../audiomove/AudioMoveThread.cpp    \
              ../audiomove/ErrorIOThread.cpp      \
              ../audiomove/LibSndFileIOThread.cpp \
              ../audiomove/MiscFunctions.cpp      \
              ../audiomove/RawIOThread.cpp        \
              ../audiomove/SampleRateThread.cpp   \
              ../muscle/dataio/FileDescriptorDataIO.cpp    \
              ../muscle/message/Message.cpp    \
              ../muscle/syslog/SysLog.cpp      \
              ../muscle/system/SetupSystem.cpp \
              ../muscle/system/SharedMemory.cpp \
              ../muscle/system/Thread.cpp      \
              ../muscle/util/ByteBuffer.cpp    \
              ../muscle/util/MiscUtilityFunctions.cpp    \
              ../muscle/util/NetworkUtilityFunctions.cpp \
              ../muscle/util/String.cpp
